Bug 859741 - WEP key type not saved by NetworkManager when using ifcfg-rh plugin, causing KDE NM to disable password input field
WEP key type not saved by NetworkManager when using ifcfg-rh plugin, causing ...
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-09-23 13:15 EDT by Rajeesh
Modified: 2013-07-31 19:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-07-31 19:38:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rajeesh 2012-09-23 13:15:25 EDT
Description of problem:

Greetings, Dan!
When a WEP connection is lost (for example AP is lost or power outage or even wrong password), NetworkManager asks for password and KDE network manager applet in turn asks the user for password. The password input field is disabled. Debugged and found that (with Lamarque Souza and Ilia Kats, the KDE NM developers) this is due to an empty input validator being set because NetworkManager doesn't hand over the WEP Key Type (ASCII/Passphrase) when using ifcfg-rh plugin. But when a keyfile backend is used, the "wep-key-type" is stored and hence KDE NM is able to get this value through D-BUS call and everything works as expected.

Version-Release number of selected component (if applicable): (still present as of this version, but the issue was present for a long time)

How reproducible:

Steps to Reproduce:
1. Ensure to use ifcfg-rh plugin backend (default in Fedora)
2. On KDE NM applet, input a wrong password for a WEP connection when connecting for first time
3. NM attempts to connect, fails due to incorrect password and asks user for the password again
Actual results:
Password input field is disabled

Expected results:
Password input field should be editable

Additional info:
Verified that "wep-key-type" is not present in the D-BUS call "dbus-send --system --print-reply --dest=org.freedesktop.NetworkManager /org/freedesktop/NetworkManager/Settings/4 org.freedesktop.NetworkManager.Settings.Connection.GetSettings" for the relevant connection.
Please ask if anything additional required
Comment 1 Fedora End Of Life 2013-07-03 18:03:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 19:39:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.